activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul French <paul.fre...@frenchiesystems.com>
Subject Re: required Jencks jars
Date Sun, 30 Jul 2006 08:30:51 GMT

I've downloaded the full geronimo distribution and have found a few jars that
seem to do the trick. However I still have problems. Currently the jars I
have so I can use Jencks with ActiveMQ are:

incubator-activemq-4.0.1.jar
jencks-1.2.jar
activemq-ra-4.0.1.jar
geronimo-connector-1.1.jar
geronimo-transaction-1.1.jar
geronimo-j2ee-connector_1.5_spec-1.0.1.jar
geronimo-jta_1.0.1B_spec-1.0.1.jar
+ Spring etc

However I now get on startup the error given below.

java.lang.NoSuchMethodError:
org.apache.geronimo.transaction.manager.TransactionManagerImpl.<init>(ILorg/apache/geronimo/transaction/manager/TransactionLog;Ljava/util/Collection;)V
	at
org.jencks.factory.WorkManagerFactoryBean.getTransactionManager(WorkManagerFactoryBean.java:122)
	at
org.jencks.factory.WorkManagerFactoryBean.createTransactionContextManager(WorkManagerFactoryBean.java:172)
	at
org.jencks.factory.WorkManagerFactoryBean.getTransactionContextManager(WorkManagerFactoryBean.java:95)
	at
org.jencks.factory.WorkManagerFactoryBean.createWorkManager(WorkManagerFactoryBean.java:176)
	at
org.jencks.factory.WorkManagerFactoryBean.getWorkManager(WorkManagerFactoryBean.java:79)
	at
org.jencks.factory.BootstrapContextFactoryBean.getWorkManager(BootstrapContextFactoryBean.java:79)
	at
org.jencks.factory.BootstrapContextFactoryBean.getObject(BootstrapContextFactoryBean.java:53)
	at 
etc............


I thought I would look at the lingo distrribution to see what geronimo
dependencies it uses but the download links for lingo1.2.zip do not work.

I'm getting frustrated since on the home page on the jencks website under
the Requirements section it says:

If you are already using Spring, to be able to use Jencks you just need the
following jars on your classpath

jencks-all.jar 

You may need to add some J2EE jars too. You may wish to add a compelete
J2EE.jar (such as the geronimo-spec-j2ee.jar). If you are inside Tomcat, it
doesn't like j2ee.jar on the classpath, so use the individual jars from
Geronimo - e.g. geronimo-spec-j2ee-connector-*.jar for the JCA APIs


Now the download of Jencks only gives you jencks-1.2.jar and not
jencks-all.jar. I assume jencks-all.jar would give you the geronimo
implemention of the JCA connectors. I've tried to get the correct jars
myself but I suspect the versions are incorrect.

Please help since I can't afford to waste so much time just trying to get
the correct software. Being a newbie with this software is hard
work............:@(
-- 
View this message in context: http://www.nabble.com/required-Jencks-jars-tf2019914.html#a5561568
Sent from the ActiveMQ - User forum at Nabble.com.


Mime
View raw message